#include <amxmodx>
#include <amxmisc>
#include <fun>
#include <cstrike>

#define PLUGIN "Drink Menu"
#define VERSION "1.0"
#define AUTHOR "MET"

new red_cost
new tig_cost
new r20_cost
new snip_cost
new kom_cost
new burn_cost
new agro_cost

public plugin_init() {
    register_plugin(PLUGIN, VERSION, AUTHOR)
    red_cost = register_cvar("red_cost","3000")
    tig_cost = register_cvar("tig_cost","2000")
    r20_cost = register_cvar("r20_cost","5000")
    snip_cost = register_cvar("snip_cost","2000")
    kom_cost = register_cvar("kom_cost","2000")
    burn_cost = register_cvar("burn_cost","12000")
    agro_cost = register_cvar("agro_cost","15000")
    register_clcmd("red","red")
    register_clcmd("tig","tig")
    register_clcmd("r20","r20")
    register_clcmd("snip","snip")
    register_clcmd("kom","kom")
    register_clcmd("burn","burn")
    register_clcmd("agro", "agro")
}

public red(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(get_user_gravity(id)>=400){
        client_print(id,print_chat,"[Drink] Wypiles juz wszystko!")
        return PLUGIN_HANDLED
    }
    if(cs_get_user_money(id)<=get_pcvar_num(red_cost)){
        client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}
    

    set_user_gravity(id,0.4)
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(red_cost))
    client_print(id,print_chat,"[RedBull] Doda ci skrzydel!")
    return PLUGIN_HANDLED
}

public tig(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(get_user_maxspeed(id)<0.1){
        client_print(id,print_chat,"[Drink] Wypiles juz wszystko!")
        return PLUGIN_HANDLED
    }
        if(cs_get_user_money(id)<=get_pcvar_num(tig_cost)){
        client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}
    
    set_user_maxspeed(id,-0.0)
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(tig_cost))
    client_print(id,print_chat,"[Tiger] Power is Back!")
    return PLUGIN_HANDLED
}

public r20(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(get_user_health(id)>=101){
        client_print(id,print_chat,"[Drink] Wypiles juz wszystko!")
        return PLUGIN_HANDLED
    }
        if(cs_get_user_money(id)<=get_pcvar_num(r20_cost)){
        client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}
    

    set_user_health(id,255)
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(r20_cost))
    client_print(id,print_chat,"[R20+] Naladuje cie energia!")
    return PLUGIN_HANDLED
}

public snip(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(cs_get_user_zoom(id)>1){
        client_print(id,print_chat,"[Drink] Wypiles juz wszystko!")
        return PLUGIN_HANDLED
    }
        if(cs_get_user_money(id)<=get_pcvar_num(snip_cost)){
	client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}
    

    cs_set_user_zoom(id,CS_SET_FIRST_ZOOM,0) 
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(snip_cost))
    client_print(id,print_chat,"[Snajper] Sokole oko!")
    return PLUGIN_HANDLED
}

public kom(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(cs_get_user_zoom(id)>1){
        client_print(id,print_chat,"[Drink] Wypiles juz wszystko!")
        return PLUGIN_HANDLED
    }
        if(cs_get_user_money(id)<=get_pcvar_num(kom_cost)){
        client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}
    cs_set_user_zoom(id,CS_SET_AUGSG552_ZOOM,0) 
    cs_set_user_nvg (id,1) 
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(kom_cost))
    client_print(id,print_chat,"[Komandos] Wino marki Komandos zrobi z ciebie zolnieza!")
    return PLUGIN_HANDLED
}

public agro(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(get_user_health(id)>=5){
        client_print(id,print_chat,"[Drink] Za duzo HP!")
        return PLUGIN_HANDLED
    }
        if(cs_get_user_money(id)<=get_pcvar_num(agro_cost)){
        client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}


    set_user_hitzones (0,0,2)
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(agro_cost))
    client_print(id,print_chat,"[Agropol] Sila owocowego wina!")
    return PLUGIN_HANDLED
}

public burn(id){
    if(!is_user_alive(id)){
        client_print(id,print_chat,"[Drink] Padles? Powstan! Upss... To nie Powerade")
        return PLUGIN_HANDLED
    }
    if(get_user_noclip(id)>0){
        client_print(id,print_chat,"[Drink] Wypiles juz wszystko!")
        return PLUGIN_HANDLED
    }
        if(cs_get_user_money(id)<=get_pcvar_num(burn_cost)){
        client_print(id,print_chat,"[Drink] Nie masz kasy!")
        return PLUGIN_HANDLED
}
    

    set_user_noclip(id,1)
    cs_set_user_money(id,cs_get_user_money(id)-get_pcvar_num(burn_cost))
    client_print(id,print_chat,"[Burn] Niech cie pochlonie!")
    return PLUGIN_HANDLED
}